Orders
List all orders
Get a paginated list of all orders created in your website. Optionally filter by created date.
GET
/
orders
List all orders
curl --request GET \
--url https://{domain}/api/site/orders \
--header 'Authorization: Bearer <token>' \
--header 'User-Agent: <api-key>'import requests
url = "https://{domain}/api/site/orders"
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'User-Agent': '<api-key>'}
};
fetch('https://{domain}/api/site/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 1,
"limit": 25,
"skip": 0,
"items": [
{
"id": 1234,
"invoiceNo": 15,
"created": 1573397217,
"customerName": "John Doe",
"customerEmail": "john@email.com",
"contactId": 123,
"memberId": 123,
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"billingAddress": {
"name": "<string>",
"phone": "<string>",
"companyName": "<string>",
"companyId": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipCode": "<string>",
"address": "<string>",
"address2": "<string>"
},
"shippingRequired": true,
"weight": 0,
"weightUnit": "kg",
"subTotal": 49,
"total": 49,
"discountCode": "<string>",
"discountType": "fixed_discount",
"discountAmount": 0,
"shippingName": "<string>",
"shippingAmount": 0,
"paid": true,
"paymentMethod": "stripe",
"transactionId": "<string>",
"status": "completed",
"taxes": [
{
"name": "Sales Tax",
"total": 20,
"applyToShipping": true,
"rate": 10,
"type": "PERCENT",
"appliedToItems": [
0,
1,
2
]
}
],
"items": [
{
"id": 123,
"name": "Running Shoes",
"url": "running-shoes",
"productId": 24,
"type": "physical",
"sku": "<string>",
"quantity": 1,
"total": 49,
"weight": 0,
"width": 0,
"height": 0,
"length": 0,
"shippingRequired": true,
"images": [
"https://path-to-image.jpg"
],
"variation": [
{
"name": "<string>",
"value": "<string>"
}
],
"additions": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"tags": [
"<string>"
],
"additionalFields": [
{
"field": "<string>",
"value": "<string>"
}
],
"notes": [
{
"time": 1686043751,
"value": "Order Note Text Sample"
}
]
}
]
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Query Parameters
List only orders created after the specified timestamp (inclusive, in seconds since the Unix epoch).
Example:
1573251649
List only orders created before the specified timestamp (inclusive, in seconds since the Unix epoch).
Example:
1573251649
A limit on the number of objects to be returned. Between 1 and 50.
Required range:
1 <= x <= 50Example:
25
The number of items to skip (offset). Defaults to 0, i.e. the first page.
Required range:
x >= 0Example:
25
Response
200 - application/json
A paginated list of orders.
Last modified on September 2, 2026
Was this page helpful?
⌘I
List all orders

